#if !defined(AFX_CONFIGUREPANELTIMEZONE_H__A33AFC15_3C09_4674_B333_E6B1A428B499__INCLUDED_)
#define AFX_CONFIGUREPANELTIMEZONE_H__A33AFC15_3C09_4674_B333_E6B1A428B499__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigurePanelTimeZone.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigurePanelTimeZone dialog

class CConfigurePanelTimeZone : public CDialog
{
// Construction
public:
	CConfigurePanelTimeZone(CWnd* pParent = NULL);   // standard constructor
	CConfigurePanelTimeZone(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CConfigurePanelTimeZone)
	enum { IDD = IDD_CONFIGUREPANELTZ };
	CListBox	m_PanelTZList;
	CComboBox	m_PanelList;
	CListBox	m_TZList;
	CComboBox	m_AcctList;
	CString	m_AcctName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigurePanelTimeZone)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigurePanelTimeZone)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangePanellist();
	afx_msg void OnConfigure();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadPanels();
	void LoadTimeZones();
	void LoadPanelTimezones();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREPANELTIMEZONE_H__A33AFC15_3C09_4674_B333_E6B1A428B499__INCLUDED_)
